# Search

Provides you a method to locate a WiFi Motion Network using a variety of different search criteria.

## Find by Network ID

 - [GET /network/find/id/{network_id}](https://docs.cognitivesystems.com/assets/specs/api/core/search/getnetworkbynetworkid.md)

## Find by Node deviceId

 - [GET /node/find/device/{deviceid}](https://docs.cognitivesystems.com/assets/specs/api/core/search/getnodebydeviceid.md)

## Find by Guardian deviceId

 - [GET /network/find/device/{guardian_deviceid}](https://docs.cognitivesystems.com/assets/specs/api/core/search/getnetworkbyguardianid.md)

## Find by Meta field

 - [GET /network/find/meta/{query}](https://docs.cognitivesystems.com/assets/specs/api/core/search/getnetworkbymeta.md): Note: You will have to urlencode the query string here, use the library provided by your runtime.

Example queries where 'val' is a partial string match (use % as wildcard char):

meta->>'guardian_env'  (this will match the guardian_env key of the network meta blob)

meta->'dwm'->>'systemName'  (this will match the systemName key of the dwm object in the network meta blob)

Example query checking for existence of a field (omit val to directly execute):

meta->'dwm' \\? 'systemName'

## Find by Node ID of Master

 - [GET /network/find/masterid/{master_id}](https://docs.cognitivesystems.com/assets/specs/api/core/search/getmasternodeid.md)

## Find by BSSID

 - [GET /network/find/mac/{bssid}](https://docs.cognitivesystems.com/assets/specs/api/core/search/getnetworkbybssid.md)

